package edu.udel.cisc474.scheduler.web;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.ServletException;
import javax.servlet.RequestDispatcher;
import java.io.IOException;

import edu.udel.cisc474.scheduler.model.Schedule;

public class SchedulerServlet extends HttpServlet {
	
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		String schedule = request.getParameter("schedule");
		String timesWeNeed = request.getParameter("times");
		
		Schedule s = new Schedule(schedule);
		Schedule t = new Schedule(timesWeNeed);
		s.addSchedule(t.getFreeTimes());
		
		Schedule s2 = s.getFreeTimes();
		
		request.setAttribute("result", s2);
		RequestDispatcher view = request.getRequestDispatcher("result.jsp");
		view.forward(request, response); 
	}

}